<?php
require '../conexao/conexao.php';
require '../sessao.php';
require '../configuacoes.php';
header('Content-Type: text/html; charset=UTF-8');
setlocale(LC_MONETARY, 'pt_BR');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$vendedor = null;


$cidade = $_GET['cidade'] ?? null; // Certifique-se de que o nome do parâmetro corresponde ao usado na página anterior
$ano = $_GET['ano'] ?? null;
$mes = $_GET['mes'] ?? null;
$filial = $_GET['filial'] ?? null;

function getBadgeClassmeta($percentage) {
    if ($percentage < 0) {
        return 'badge-success';
    } elseif ($percentage <= 10) {
        return 'badge-warning';
    } elseif ($percentage > 10 && $percentage < 110) {
        return 'badge-danger';
    } elseif ($percentage >= 110) {
        return 'badge-primary';
    } else {
        return 'badge-secondary'; // ou outra classe de sua escolha para situações não esperadas
    }
}


function getBadgeClass($percentage) {
    if ($percentage <= 89) {
        return 'badge-danger';
    } elseif ($percentage >= 70 && $percentage <= 100) {
        return 'badge-warning';
    } elseif ($percentage > 90) {
        return 'badge-primary';
    } else {
        return 'badge-success';
    }
}

function formatarNumero($numero) {
    if ($numero >= 1000) {
        return number_format($numero / 1000, 1, ',', '.') . "k";
    } else {
        return number_format($numero, 2, ',', '.');
    }
}


$hojeFormatado = date('Y-m-d');
//$hoje = DateTime::createFromFormat('d-m-Y H:i', '23-11-2024 08:51');
//$hojeFormatado = $hoje->format('Y-m-d');
// Obtém o mês e ano da data atual
$mesAtual = date('m', strtotime($hojeFormatado));
$anoAtual = date('Y', strtotime($hojeFormatado));

     // Verifica se a cidade não é "Todos"
     if ($cidade !== "Todos") {
        // QUERY PARA PEGAR CIDADE ESCOLHIDA
        $query_idcidade = "SELECT id_cidade FROM cidade WHERE nome_cidade = '$cidade'";
    
        // Execute a consulta e obtenha os resultados
        $result_idcidade = $connectionmysql->query($query_idcidade);
        if (!$result_idcidade) {
            die('Erro na consulta: ' . $connectionmysql->error);
        }
    
        // Obtenha o ID da cidade escolhida
        $row_idcidade = $result_idcidade->fetch_assoc();
        $id_cidade_atual = $row_idcidade["id_cidade"];
        // echo $id_cidade_atual;
    
        // QUERY PARA PEGAR O VALOR DO DIA ÚTIL
        $query_diaatual = "SELECT SUM(peso) AS peso_atual FROM dia_trabalho_cidade dc
            INNER JOIN cidade c ON c.id_cidade = dc.id_cidade
            INNER JOIN dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
            INNER JOIN tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
            WHERE MONTH(dia_trabalho) = $mes AND YEAR(dia_trabalho) = $ano 
            AND c.id_cidade = $id_cidade_atual AND dia_trabalho <= CURDATE() - INTERVAL 1 DAY";
            
    
    
        // Execute a consulta e obtenha os resultados
        $result_diaatual = $connectionmysql->query($query_diaatual);
        if (!$result_diaatual) {
            die('Erro na consulta: ' . $connectionmysql->error);
        }
    
        // Obtenha o peso do dia atual
        $row_diaatual = $result_diaatual->fetch_assoc();
        $peso_diaatual = $row_diaatual["peso_atual"];
        //echo $peso_diaatual;
        
    
        // Sua consulta MySQL para o último dia do mês
        $query_ultimodia = "SELECT SUM(peso) AS peso_ultimo FROM dia_trabalho_cidade dc
            INNER JOIN cidade c ON c.id_cidade = dc.id_cidade
            INNER JOIN dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
            INNER JOIN tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
            WHERE MONTH(dia_trabalho) = $mes AND YEAR(dia_trabalho) = $ano AND c.id_cidade = $id_cidade_atual";
            
            // Execute a consulta e obtenha os resultados
        $result_ultimodia = $connectionmysql->query($query_ultimodia);
        if (!$result_ultimodia) {
            die('Erro na consulta: ' . $connectionmysql->error);
        }
            
            // Obtenha o peso do último dia do mês
        $row_ultimodia = $result_ultimodia->fetch_assoc();
        $pesoUltimoDia = $row_ultimodia["peso_ultimo"];
         
        //echo $pesoUltimoDia;
    
    } if ($cidade == "Todos") {
        // Se a cidade for "Todos", execute as consultas sem restrição de cidade
        // QUERY PARA PEGAR O VALOR DO DIA ÚTIL
        $query_diaatual = "SELECT 
        SUM(soma_pesos) / COUNT(DISTINCT nome_cidade) AS peso_atual
    FROM (
        SELECT 
            c.nome_cidade, 
            SUM(peso) as soma_pesos 
        FROM 
            dia_trabalho_cidade dc
        INNER JOIN 
            cidade c ON c.id_cidade = dc.id_cidade
        INNER JOIN 
            dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
        INNER JOIN 
            tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
        WHERE 
            MONTH(dia_trabalho) = $mes
            AND YEAR(dia_trabalho) = $ano
            AND dia_trabalho <= CURDATE() - INTERVAL 1 DAY
        GROUP BY 
            c.nome_cidade
    ) AS subconsulta";
    
        // Execute a consulta e obtenha os resultados
        $result_diaatual = $connectionmysql->query($query_diaatual);
        if (!$result_diaatual) {
            die('Erro na consulta: ' . $connectionmysql->error);
        }
    
        // Obtenha o peso do dia atual
        $row_diaatual = $result_diaatual->fetch_assoc();
        $peso_diaatual = $row_diaatual["peso_atual"];
         
        //echo $peso_diaatual;
    
        // Sua consulta MySQL para o último dia do mês
        $query_ultimodia = "SELECT 
        SUM(soma_pesos) / COUNT(DISTINCT nome_cidade) AS peso_ultimo
    FROM (
        SELECT 
            c.nome_cidade, 
            SUM(peso) as soma_pesos 
        FROM 
            dia_trabalho_cidade dc
        INNER JOIN 
            cidade c ON c.id_cidade = dc.id_cidade
        INNER JOIN 
            dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
        INNER JOIN 
            tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
        WHERE 
            MONTH(dia_trabalho) = $mes
            AND YEAR(dia_trabalho) = $ano 
            
        GROUP BY 
            c.nome_cidade
    ) AS subconsulta";
    }
    
    // Execute a consulta para o último dia do mês
    $result_ultimodia = $connectionmysql->query($query_ultimodia);
    if (!$result_ultimodia) {
        die('Erro na consulta: ' . $connectionmysql->error);
    }
    
    // Obtenha o peso do último dia do mês
    $row_ultimodia = $result_ultimodia->fetch_assoc();
    $pesoUltimoDia = $row_ultimodia["peso_ultimo"];
    
    $diasrestantes = $pesoUltimoDia - $peso_diaatual;


?>

<!DOCTYPE html>
<html lang="pt-br">



<head>
<style>
        .table td, .table th {
            word-wrap: break-word;
        }

        .table thead th {
            white-space: nowrap;
        }

        .table {
            width: 100%;
        }

        .table-responsive {
     display: block; 
    overflow-x: auto;
    max-width: 100%; /* Ajuste a largura máxima conforme necessário */
        }
    </style>

</head>

<?php 
        $pageTitle = "Painel Gerencial"; // Definir o título da página aqui
        include('../geral/header.php'); 
        ?>
    <body>

    <body>

            <!-- Navigation Bar-->
                    <?php 
            include('../geral/menu.php'); 
            ?>
            <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="wrapper dashboard">
            <div class="container-fluid">

                <!-- start page title -->
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box">
                            <div class="row align-items-center">
                                <div class="col-6">
                                    <h4 class="page-title">Detalhamento Comercial</h4> 
                                </div>
                                <div class="col-6 text-right">
                                    <button onclick="goBack()" class="btn btn-info"><i class="mdi mdi-keyboard-backspace"></i> Voltar</button>
                                </div>
                            </div>
                           
							


                        </div>
		
                    </div>
                </div>     
                <!-- end page title -->


                <div class="row">

                <div class="col-xl-12">
								 
                    <div class="card">
                    <div class="card-body">
                        <!-- <h4 class="page-title-box">Dashboard</h4> -->
     
                        <ul class="nav nav-tabs">
		
                        <li class="nav-item">
                                <a href="#geral" data-bs-toggle="tab" aria-expanded="true" class="nav-link active">
                                    Geral
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#ranking" data-bs-toggle="tab" aria-expanded="false" class="nav-link" id="ranking-tab">
                                    Ranking
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#vendedores" data-bs-toggle="tab" aria-expanded="false" class="nav-link" id="vendedores-tab">
                                    Vendedores
                                </a>
                            </li>
                            <li class="nav-item">
                            <a href="#medicos" data-bs-toggle="tab" aria-expanded="false" class="nav-link" id="medicos-tab">
                                Médicos
                            </a>
                            </li>
                        </ul>

         
          


                <div class="tab-content"> 

              

                <div class="tab-pane show active" id="geral"> <!-- INÍCIO DO CONTEÚDO DA ABA GERAL-->

                <?php include('geral.php'); ?>
                            
                </div>  <!-- FIM DA ABA GERAL-->


                <div class="tab-pane" id="medicos"> <!-- INÍCIO DO CONTEÚDO DA ABA MÉDICOS-->
                        <!-- Conteúdo da aba Médicos aqui -->
                </div>  <!-- FIM DA ABA MÉDICOS-->


                   
                <div class="tab-pane" id="vendedores"> <!-- INÍCIO DO CONTEÚDO DA ABA vendedores-->
                
         
                                
                <?php //include('vendedores.php'); ?>
              
                
               
                </div>  <!-- FIM DA ABA VENDEDORES-->
                
                <div class="tab-pane" id="ranking"> <!-- INÍCIO DO CONTEÚDO DA ABA RANKING-->
                   
                <?php include('top_dez.php'); ?>
                 </div>
                       
            
                    </div>
                </div>

               

    

            </div> <!-- end card-->


        </div> <!-- end col -->
                
        <div class="row align-items-center mb-3">
                <div class="col-12 text-right">
                    <button onclick="goBack()" class="btn btn-info"><i class="mdi mdi-keyboard-backspace"></i> Voltar</button>
                </div>
        </div>
 

            </div>
            <!-- end row -->        

            </div> <!-- end container -->
        </div>
        <!-- end wrapper -->

        <!-- ============================================================== -->
        <!-- End Page content -->
        <!-- ============================================================== -->
  <!-- Footer Start -->
  <?php
            include('../geral/footer.php');  
            ?>
        <!-- end Footer -->

        <?php
        include('../geral/mensagens_modais.php');  
        ?>

       <!-- Right bar overlay-->
       <div class="rightbar-overlay"></div>

        <!-- Vendor js -->
        <script src="../../assets/js/vendor.min.js"></script>
        <script src="../../assets/libs/jquery/jquery.min.js"></script>
        <script src="../../assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
        


        <!-- knob plugin -->
        <script src="../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
        <!-- App js-->
        <script src="../../assets/js/app.min.js"></script>

        <script src="../geral/javascript.js"></script>
        

		<!--  Modal content for the Large example -->
		<div class="modal fade" id="bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
			<div class="modal-dialog modal-lg">
				<div class="modal-content">
					<div class="modal-header">
						<h4 class="modal-title" id="myLargeModalLabel">Apuração Diária</h4>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
					</div>
					<div class="modal-body">
                    <?php 
                                include('apuracao_diaria.php'); 
                                ?>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

    </body>
</html>


<script>
function goBack() {
    window.history.back();
}
</script>

<script>
    document.getElementById('nomeFuncionario').addEventListener('click', function() {
        var modal = new bootstrap.Modal(document.getElementById('bs-example-modal-lg'));
        modal.show();
    });
</script>

<script>
let dadosMedicos = null;
let carregouPagina = false;

$(document).ready(function() {

  $("#medicos-tab").click(function(event) {

    event.preventDefault();

    if (!carregouPagina) {
      // Carrega a página apenas na primeira vez
      console.log("Carregando a página...");
      let filial = "<?php echo $filial; ?>";
      let ano = "<?php echo $ano; ?>"; 
      let mes = "<?php echo $mes; ?>";

      let url = "medicos.php?filial=" + filial + "&ano=" + ano + "&mes=" + mes;

      $.ajax({
        url: url,
        success: function(data) {
          dadosMedicos = data;
          $("#medicos").html(data);
          carregouPagina = true; 
        }
      });
    } else {
      // Reutiliza dados já carregados
      $("#medicos").html(dadosMedicos);
    }
  });

});


let dadosvendedor= null;
let carregouPaginavendedor = false;

$(document).ready(function() {

  $("#vendedores-tab").click(function(event) {

    event.preventDefault();

    if (!carregouPaginavendedor) {
      // Carrega a página apenas na primeira vez
      console.log("Carregando a página...");
      let filial = "<?php echo $filial; ?>";
      let ano = "<?php echo $ano; ?>"; 
      let mes = "<?php echo $mes; ?>";
	  let diasrestantes = "<?php echo $diasrestantes;?>";
      let cidade = "<?php echo $cidade;?>";

      let url = "vendedores.php?filial=" + filial + "&ano=" + ano + "&mes=" + mes + "&diasrestantes=" + diasrestantes + "&cidade=" + cidade;

      $.ajax({
        url: url,
        success: function(data) {
            dadosvendedor = data;
          $("#vendedores").html(data);
          carregouPaginavendedor = true; 
        }
      });
    } else {
      // Reutiliza dados já carregados
      $("#vendedores").html(dadosvendedor);
    }
  });

});


// let dadosranking = null;
// let carregouPaginaranking = false;

// $(document).ready(function() {

//   $("#ranking-tab").click(function(event) {

//     event.preventDefault();

//     if (!carregouPaginaranking) {
//       // Carrega a página apenas na primeira vez
//       console.log("Carregando a página...");
//       let filial = "<?php //echo $filial; ?>";
//       let ano = "<?php //echo $ano; ?>"; 
//       let mes = "<?php //echo $mes; ?>";

//       let url = "top_dez.php?filial=" + filial + "&ano=" + ano + "&mes=" + mes;

//       $.ajax({
//         url: url,
//         success: function(data) {
//           dadosranking = data;
//           $("#ranking").html(data);
//           carregouPaginaranking = true; 
          
//         }
//       });
//     } else {
//       // Reutiliza dados já carregados
//       $("#ranking").html(dadosranking);
//     }
//   });

// });




</script>

<script src="https://code.jquery.com/jquery-3.6.4.min.js" integrity="sha512-oM6mM1F9AXFB0Wex8m2lsBE5SS+ZnQTzK41z6bNPZbs9VbQbf8weQbVVgRNGLLWu8xh6PzpE7Fj3oT4kgTDMpw==" crossorigin="anonymous"></script>


<!-- Inclua o DataTables -->
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>

<!-- Inclua o DataTables Bootstrap -->
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap5.min.css">


